package com.hungraim.ltc.pojo.entity.assessment;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

@Data
@TableName("CH_APR_EMP")
@KeySequence(value = "SEQ_CH_APR_EMP")
public class ChAprEmp {
    @TableId(value = "emp_id", type = IdType.INPUT)
    private Integer empId;
    private Integer eduId;
    private String aprempTypeNameF;
    private String certiCode;
    private Integer isLock;
    private String certifTypeCode;
    private String eduCode;
    private Integer basicEmpId;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private java.util.Date endTime;
    private String gender;
    private Integer defineEmp;
    private Integer cfgModeId;
    private Integer age;
    private Integer aprempTypeIdF;
    private Integer aprempTypeIdP;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private java.util.Date fcd;
    private Integer empType;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private java.util.Date lcd;
    private String realName;
    private Integer aprempTypeIdS;
    private String aprempTypeNameS;
    private Integer dataFrom;
    private Integer endEmp;
    private String address;
    private Integer fcu;
    private String tel;
    private String certifTypeId;
    private Integer groupLeader;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private java.util.Date effTime;
    private Integer aprOrganId;
    private Integer lcu;

}
